<div class="col-md-5 offset-md-3 container-fluid">


    <div class="card">
        <div class="card-header">
            <h4>Add Employee</h4>
        </div>
        <div class="card-body">
            <form #myForm="ngForm" (ngSubmit)="onSubmit()">
                <div class="form-group">
                    <label for="firstname">First Name</label>
                    <input class="form-control" type="text" name="firstName" id="firstName" placeholder="First Name"
                        [(ngModel)]="employee.firstName" #firstName="ngModel" required autocomplete="off"/>
                        <small *ngIf="firstName.errors?.['required']" class="warning-message">*First Name required</small>

                </div>
                <div class="form-group">
                    <label for="middleName">Midle Name</label>
                    <input class="form-control" type="text" name="middleName" id="middleName" placeholder="Middle Name"
                        [(ngModel)]="employee.middleName" #middleName="ngModel" required />
                        <small *ngIf="middleName.errors?.['required']" class="warning-message">*Middle Name required</small>
                </div>
                <div class="form-group">
                    <label for="lastName">Last Name</label>
                    <input class="form-control" type="text" name="lastName" id="lastName" placeholder="Last Name"
                        [(ngModel)]="employee.lastName" #lastName="ngModel" required />
                        <small *ngIf="lastName.errors?.['required']" class="warning-message">*Last Name required</small>   
                </div>
                <div class="form-group">
                    <label for="sss">SSS Number</label>
                    <input class="form-control" type="text" placeholder="XX-XXXXXXX-X" mask="00-0000000-0" min="0" minlength="10" name="sss"
                        id="sss" [(ngModel)]="employee.sssnumber" required />
                </div>
                <div class="form-group">
                    <label for="status">Status</label>
                    <select class="form-control" name="status" id="status" [(ngModel)]="employee.status">
                        <option value="" selected disabled hidden>--Choose Status--</option>
                        <option value="Active">Active</option>
                        <option value="Inactive">Inactive</option>
                    </select>
                </div>
                <button class="btn btn-primary btn-sm" type="submit">Submit</button>
            </form>
        </div>

    </div>